### File

`packages/eui/packages/components-next/src/lib/directives/eui-template.directive.ts`

### Metadata

Selector | `[euiTemplate]`

### Index

###### Properties

- Public template

###### Methods

- getType

###### Inputs

- euiTemplate
- type

### Constructor

`constructor(template: TemplateRef<any>)`

Parameters :

Name | Type | Optional
template | `TemplateRef<any>` | No

### Inputs

euiTemplate
Type : `string`

type
Type : `string`

### Methods

getType
`getType()`
Returns : `string`

### Properties

Public template
Type : `TemplateRef<any>`

# result-matching ""

# No results matching ""